Index: t3lib/class.t3lib_stdgraphic.php
===================================================================
--- t3lib/class.t3lib_stdgraphic.php	(revision 9431)
+++ t3lib/class.t3lib_stdgraphic.php	(revision )
@@ -1,29 +1,29 @@
 <?php
 /***************************************************************
-*  Copyright notice
-*
-*  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
-*  All rights reserved
-*
-*  This script is part of the TYPO3 project. The TYPO3 project is
-*  free software; you can redistribute it and/or modify
-*  it under the terms of the GNU General Public License as published by
-*  the Free Software Foundation; either version 2 of the License, or
-*  (at your option) any later version.
-*
-*  The GNU General Public License can be found at
-*  http://www.gnu.org/copyleft/gpl.html.
-*  A copy is found in the textfile GPL.txt and important notices to the license
-*  from the author is found in LICENSE.txt distributed with these scripts.
-*
-*
-*  This script is distributed in the hope that it will be useful,
-*  but WITHOUT ANY WARRANTY; without even the implied warranty of
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*  GNU General Public License for more details.
-*
-*  This copyright notice MUST APPEAR in all copies of the script!
-***************************************************************/
+ *  Copyright notice
+ *
+ *  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
+ *  All rights reserved
+ *
+ *  This script is part of the TYPO3 project. The TYPO3 project is
+ *  free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  The GNU General Public License can be found at
+ *  http://www.gnu.org/copyleft/gpl.html.
+ *  A copy is found in the textfile GPL.txt and important notices to the license
+ *  from the author is found in LICENSE.txt distributed with these scripts.
+ *
+ *
+ *  This script is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  This copyright notice MUST APPEAR in all copies of the script!
+ ***************************************************************/
 /**
  * Standard graphical functions
  *
@@ -38,90 +38,90 @@
  *
  *
  *  155: class t3lib_stdGraphic
- *  236:     function init()
+ *  236:	 function init()
  *
- *              SECTION: Layering images / "IMAGE" GIFBUILDER object
+ *			  SECTION: Layering images / "IMAGE" GIFBUILDER object
- *  366:     function maskImageOntoImage(&$im,$conf,$workArea)
+ *  366:	 function maskImageOntoImage(&$im,$conf,$workArea)
- *  436:     function copyImageOntoImage(&$im,$conf,$workArea)
+ *  436:	 function copyImageOntoImage(&$im,$conf,$workArea)
- *  458:     function copyGifOntoGif(&$im,$cpImg,$conf,$workArea)
+ *  458:	 function copyGifOntoGif(&$im,$cpImg,$conf,$workArea)
- *  537:     function imagecopyresized(&$im, $cpImg, $Xstart, $Ystart, $cpImgCutX, $cpImgCutY, $w, $h, $w, $h)
+ *  537:	 function imagecopyresized(&$im, $cpImg, $Xstart, $Ystart, $cpImgCutX, $cpImgCutY, $w, $h, $w, $h)
  *
- *              SECTION: Text / "TEXT" GIFBUILDER object
+ *			  SECTION: Text / "TEXT" GIFBUILDER object
- *  587:     function makeText(&$im,$conf,$workArea)
+ *  587:	 function makeText(&$im,$conf,$workArea)
- *  707:     function txtPosition($conf,$workArea,$BB)
+ *  707:	 function txtPosition($conf,$workArea,$BB)
- *  761:     function calcBBox($conf)
+ *  761:	 function calcBBox($conf)
- *  820:     function addToMap($cords,$conf)
+ *  820:	 function addToMap($cords,$conf)
- *  843:     function calcTextCordsForMap($cords,$offset, $conf)
+ *  843:	 function calcTextCordsForMap($cords,$offset, $conf)
- *  878:     function SpacedImageTTFText(&$im, $fontSize, $angle, $x, $y, $Fcolor, $fontFile, $text, $spacing, $wordSpacing, $splitRenderingConf, $sF=1)
+ *  878:	 function SpacedImageTTFText(&$im, $fontSize, $angle, $x, $y, $Fcolor, $fontFile, $text, $spacing, $wordSpacing, $splitRenderingConf, $sF=1)
- *  915:     function fontResize($conf)
+ *  915:	 function fontResize($conf)
- *  958:     function ImageTTFBBoxWrapper($fontSize, $angle, $fontFile, $string, $splitRendering, $sF=1)
+ *  958:	 function ImageTTFBBoxWrapper($fontSize, $angle, $fontFile, $string, $splitRendering, $sF=1)
- * 1005:     function ImageTTFTextWrapper($im, $fontSize, $angle, $x, $y, $color, $fontFile, $string, $splitRendering,$sF=1)
+ * 1005:	 function ImageTTFTextWrapper($im, $fontSize, $angle, $x, $y, $color, $fontFile, $string, $splitRendering,$sF=1)
- * 1058:     function splitString($string,$splitRendering,$fontSize,$fontFile)
+ * 1058:	 function splitString($string,$splitRendering,$fontSize,$fontFile)
- * 1208:     function calcWordSpacing($conf, $scaleFactor=1)
+ * 1208:	 function calcWordSpacing($conf, $scaleFactor=1)
- * 1227:     function getTextScalFactor($conf)
+ * 1227:	 function getTextScalFactor($conf)
  *
- *              SECTION: Other GIFBUILDER objects related to TEXT
+ *			  SECTION: Other GIFBUILDER objects related to TEXT
- * 1262:     function makeOutline(&$im,$conf,$workArea,$txtConf)
+ * 1262:	 function makeOutline(&$im,$conf,$workArea,$txtConf)
- * 1291:     function circleOffset($distance, $iterations)
+ * 1291:	 function circleOffset($distance, $iterations)
- * 1315:     function makeEmboss(&$im,$conf,$workArea,$txtConf)
+ * 1315:	 function makeEmboss(&$im,$conf,$workArea,$txtConf)
- * 1337:     function makeShadow(&$im,$conf,$workArea,$txtConf)
+ * 1337:	 function makeShadow(&$im,$conf,$workArea,$txtConf)
  *
- *              SECTION: Other GIFBUILDER objects
+ *			  SECTION: Other GIFBUILDER objects
- * 1469:     function makeBox(&$im,$conf,$workArea)
+ * 1469:	 function makeBox(&$im,$conf,$workArea)
- * 1491:     function makeEffect(&$im, $conf)
+ * 1491:	 function makeEffect(&$im, $conf)
- * 1506:     function IMparams($setup)
+ * 1506:	 function IMparams($setup)
- * 1589:     function adjust(&$im, $conf)
+ * 1589:	 function adjust(&$im, $conf)
- * 1621:     function crop(&$im,$conf)
+ * 1621:	 function crop(&$im,$conf)
- * 1652:     function scale(&$im,$conf)
+ * 1652:	 function scale(&$im,$conf)
- * 1684:     function setWorkArea($workArea)
+ * 1684:	 function setWorkArea($workArea)
  *
- *              SECTION: Adjustment functions
+ *			  SECTION: Adjustment functions
- * 1725:     function autolevels(&$im)
+ * 1725:	 function autolevels(&$im)
- * 1756:     function outputLevels(&$im,$low,$high,$swap='')
+ * 1756:	 function outputLevels(&$im,$low,$high,$swap='')
- * 1788:     function inputLevels(&$im,$low,$high,$swap='')
+ * 1788:	 function inputLevels(&$im,$low,$high,$swap='')
- * 1819:     function reduceColors(&$im,$limit, $cols)
+ * 1819:	 function reduceColors(&$im,$limit, $cols)
- * 1832:     function IMreduceColors($file, $cols)
+ * 1832:	 function IMreduceColors($file, $cols)
  *
- *              SECTION: GIFBUILDER Helper functions
+ *			  SECTION: GIFBUILDER Helper functions
- * 1875:     function prependAbsolutePath($fontFile)
+ * 1875:	 function prependAbsolutePath($fontFile)
- * 1889:     function v5_sharpen($factor)
+ * 1889:	 function v5_sharpen($factor)
- * 1908:     function v5_blur($factor)
+ * 1908:	 function v5_blur($factor)
- * 1925:     function randomName()
+ * 1925:	 function randomName()
- * 1938:     function applyOffset($cords,$OFFSET)
+ * 1938:	 function applyOffset($cords,$OFFSET)
- * 1951:     function convertColor($string)
+ * 1951:	 function convertColor($string)
- * 2001:     function recodeString($string)
+ * 2001:	 function recodeString($string)
- * 2023:     function singleChars($theText,$returnUnicodeNumber=FALSE)
+ * 2023:	 function singleChars($theText,$returnUnicodeNumber=FALSE)
- * 2046:     function objPosition($conf,$workArea,$BB)
+ * 2046:	 function objPosition($conf,$workArea,$BB)
  *
- *              SECTION: Scaling, Dimensions of images
+ *			  SECTION: Scaling, Dimensions of images
- * 2125:     function imageMagickConvert($imagefile,$newExt='',$w='',$h='',$params='',$frame='',$options='',$mustCreate=0)
+ * 2125:	 function imageMagickConvert($imagefile,$newExt='',$w='',$h='',$params='',$frame='',$options='',$mustCreate=0)
- * 2238:     function getImageDimensions($imageFile)
+ * 2238:	 function getImageDimensions($imageFile)
- * 2266:     function cacheImageDimensions($identifyResult)
+ * 2266:	 function cacheImageDimensions($identifyResult)
- * 2298:     function getCachedImageDimensions($imageFile)
+ * 2298:	 function getCachedImageDimensions($imageFile)
- * 2332:     function getImageScale($info,$w,$h,$options)
+ * 2332:	 function getImageScale($info,$w,$h,$options)
- * 2438:     function file_exists_typo3temp_file($output,$orig='')
+ * 2438:	 function file_exists_typo3temp_file($output,$orig='')
  *
- *              SECTION: ImageMagick API functions
+ *			  SECTION: ImageMagick API functions
- * 2499:     function imageMagickIdentify($imagefile)
+ * 2499:	 function imageMagickIdentify($imagefile)
- * 2534:     function imageMagickExec($input,$output,$params)
+ * 2534:	 function imageMagickExec($input,$output,$params)
- * 2557:     function combineExec($input,$overlay,$mask,$output, $handleNegation = false)
+ * 2557:	 function combineExec($input,$overlay,$mask,$output, $handleNegation = false)
- * 2588:     function wrapFileName($inputName)
+ * 2588:	 function wrapFileName($inputName)
  *
- *              SECTION: Various IO functions
+ *			  SECTION: Various IO functions
- * 2629:     function checkFile($file)
+ * 2629:	 function checkFile($file)
- * 2643:     function createTempSubDir($dirName)
+ * 2643:	 function createTempSubDir($dirName)
- * 2665:     function applyImageMagickToPHPGif(&$im, $command)
+ * 2665:	 function applyImageMagickToPHPGif(&$im, $command)
- * 2691:     function gif_or_jpg($type,$w,$h)
+ * 2691:	 function gif_or_jpg($type,$w,$h)
- * 2708:     function output($file)
+ * 2708:	 function output($file)
- * 2748:     function destroy()
+ * 2748:	 function destroy()
- * 2758:     function imgTag ($imgInfo)
+ * 2758:	 function imgTag ($imgInfo)
- * 2770:     function ImageWrite($destImg, $theImage)
+ * 2770:	 function ImageWrite($destImg, $theImage)
- * 2808:     function imageGif($destImg, $theImage)
+ * 2808:	 function imageGif($destImg, $theImage)
- * 2820:     function imageCreateFromGif($sourceImg)
+ * 2820:	 function imageCreateFromGif($sourceImg)
- * 2831:     function imageCreateFromFile($sourceImg)
+ * 2831:	 function imageCreateFromFile($sourceImg)
- * 2870:     function imagecreate($w, $h)
+ * 2870:	 function imagecreate($w, $h)
- * 2885:     function hexColor($col)
+ * 2885:	 function hexColor($col)
- * 2903:     function unifyColors(&$img, $colArr, $closest = false)
+ * 2903:	 function unifyColors(&$img, $colArr, $closest = false)
  *
  * TOTAL FUNCTIONS: 66
  * (This index is automatically created/updated by the extension "extdeveval")
@@ -129,20 +129,6 @@
  */
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 /**
  * Class contains a bunch of cool functions for manipulating graphics with GDlib/Freetype and ImageMagick
  * VERY OFTEN used with gifbuilder that extends this class and provides a TypoScript API to using these functions
@@ -155,23 +141,23 @@
  * @subpackage t3lib
  * @see tslib_gifBuilder
  */
-class t3lib_stdGraphic	{
+class t3lib_stdGraphic {
 
 		// Internal configuration, set in init()
-	var $combineScript = 'combine';				// The ImageMagick filename used for combining two images. This name changed during the versions.
+	var $combineScript = 'combine'; // The ImageMagick filename used for combining two images. This name changed during the versions.
-	var $noFramePrepended=0;					// If set, there is no frame pointer prepended to the filenames.
+	var $noFramePrepended = 0; // If set, there is no frame pointer prepended to the filenames.
-	var $GD2 = 1;								// Set, if the GDlib used is version 2. @deprecated as of TYPO3 4.4, as this variables is now always set (GDlib2 always has this method, and PHP recommends to only use imagecreatetruecolor() over imagecreate())
+	var $GD2 = 1; // Set, if the GDlib used is version 2. @deprecated as of TYPO3 4.4, as this variables is now always set (GDlib2 always has this method, and PHP recommends to only use imagecreatetruecolor() over imagecreate())
-	var $imagecopyresized_fix=0;				// If set, imagecopyresized will not be called directly. For GD2 (some PHP installs?)
+	var $imagecopyresized_fix = 0; // If set, imagecopyresized will not be called directly. For GD2 (some PHP installs?)
-	var $gifExtension = 'gif';					// This should be changed to 'png' if you want this class to read/make PNG-files instead!
+	var $gifExtension = 'gif'; // This should be changed to 'png' if you want this class to read/make PNG-files instead!
-	var $gdlibExtensions = '';			// File formats supported by gdlib. This variable get's filled in "init" method
+	var $gdlibExtensions = ''; // File formats supported by gdlib. This variable get's filled in "init" method
-	var $truecolor = TRUE;					// Internal variable which get's used to determine wheter GDlib should use function truecolor pendants, @deprecated as of TYPO3 4.4, as this variables is now always set (GDlib2 always has this method, and PHP recommends to only use imagecreatetruecolor() over imagecreate())
+	var $truecolor = TRUE; // Internal variable which get's used to determine wheter GDlib should use function truecolor pendants, @deprecated as of TYPO3 4.4, as this variables is now always set (GDlib2 always has this method, and PHP recommends to only use imagecreatetruecolor() over imagecreate())
-	var $png_truecolor = false;					// Set to true if generated png's should be truecolor by default
+	var $png_truecolor = FALSE; // Set to true if generated png's should be truecolor by default
-	var $truecolorColors = 0xffffff;			// 16777216 Colors is the maximum value for PNG, JPEG truecolor images (24-bit, 8-bit / Channel)
+	var $truecolorColors = 0xffffff; // 16777216 Colors is the maximum value for PNG, JPEG truecolor images (24-bit, 8-bit / Channel)
-	var $TTFLocaleConv = '';					// Used to recode input to TTF-functions for other charsets. Deprecated since TYPO3 3.6, will be removed in TYPO3 4.6
+	var $TTFLocaleConv = ''; // Used to recode input to TTF-functions for other charsets. Deprecated since TYPO3 3.6, will be removed in TYPO3 4.6
-	var $enable_typo3temp_db_tracking = 0;		// If set, then all files in typo3temp will be logged in a database table. In addition to being a log of the files with original filenames, it also serves to secure that the same image is not rendered simultaneously by two different processes.
+	var $enable_typo3temp_db_tracking = 0; // If set, then all files in typo3temp will be logged in a database table. In addition to being a log of the files with original filenames, it also serves to secure that the same image is not rendered simultaneously by two different processes.
-	var $imageFileExt = 'gif,jpg,jpeg,png,tif,bmp,tga,pcx,ai,pdf';	// Commalist of file extensions perceived as images by TYPO3. List should be set to 'gif,png,jpeg,jpg' if IM is not available. Lowercase and no spaces between!
+	var $imageFileExt = 'gif,jpg,jpeg,png,tif,bmp,tga,pcx,ai,pdf'; // Commalist of file extensions perceived as images by TYPO3. List should be set to 'gif,png,jpeg,jpg' if IM is not available. Lowercase and no spaces between!
-	var $webImageExt = 'gif,jpg,jpeg,png';		// Commalist of web image extensions (can be shown by a webbrowser)
+	var $webImageExt = 'gif,jpg,jpeg,png'; // Commalist of web image extensions (can be shown by a webbrowser)
-	var $maskNegate = '';						// Will be ' -negate' if ImageMagick ver 5.2+. See init();
+	var $maskNegate = ''; // Will be ' -negate' if ImageMagick ver 5.2+. See init();
 	var $NO_IM_EFFECTS = '';
 	var $cmds = array(
 		'jpg' => '',
@@ -185,41 +171,41 @@
 	var $mayScaleUp = 1;
 
 		// Variables for testing, alternative usage etc.
-	var $filenamePrefix='';								// Filename prefix for images scaled in imageMagickConvert()
+	var $filenamePrefix = ''; // Filename prefix for images scaled in imageMagickConvert()
-	var $imageMagickConvert_forceFileNameBody='';		// Forcing the output filename of imageMagickConvert() to this value. However after calling imageMagickConvert() it will be set blank again.
+	var $imageMagickConvert_forceFileNameBody = ''; // Forcing the output filename of imageMagickConvert() to this value. However after calling imageMagickConvert() it will be set blank again.
-	var $dontCheckForExistingTempFile = 0;				// This flag should always be false. If set true, imageMagickConvert will always write a new file to the tempdir! Used for debugging.
+	var $dontCheckForExistingTempFile = 0; // This flag should always be false. If set true, imageMagickConvert will always write a new file to the tempdir! Used for debugging.
-	var $dontCompress=0;								// Prevents imageMagickConvert() from compressing the gif-files with t3lib_div::gif_compress()
+	var $dontCompress = 0; // Prevents imageMagickConvert() from compressing the gif-files with t3lib_div::gif_compress()
-	var $dontUnlinkTempFiles=0;							// For debugging ONLY!
+	var $dontUnlinkTempFiles = 0; // For debugging ONLY!
-	var $alternativeOutputKey='';						// For debugging only. Filenames will not be based on mtime and only filename (not path) will be used. This key is also included in the hash of the filename...
+	var $alternativeOutputKey = ''; // For debugging only. Filenames will not be based on mtime and only filename (not path) will be used. This key is also included in the hash of the filename...
 
 		// Internal:
-	var $IM_commands = Array();							// All ImageMagick commands executed is stored in this array for tracking. Used by the Install Tools Image section
-	var $workArea = Array();
+	var $IM_commands = array(); // All ImageMagick commands executed is stored in this array for tracking. Used by the Install Tools Image section
+	var $workArea = array();
 
 		// Constants:
-	var $tempPath = 'typo3temp/';						// The temp-directory where to store the files. Normally relative to PATH_site but is allowed to be the absolute path AS LONG AS it is a subdir to PATH_site.
+	var $tempPath = 'typo3temp/'; // The temp-directory where to store the files. Normally relative to PATH_site but is allowed to be the absolute path AS LONG AS it is a subdir to PATH_site.
-	var $absPrefix = '';								// Prefix for relative paths. Used in "show_item.php" script. Is prefixed the output file name IN imageMagickConvert()
+	var $absPrefix = ''; // Prefix for relative paths. Used in "show_item.php" script. Is prefixed the output file name IN imageMagickConvert()
-	var $scalecmd = '-geometry';						// ImageMagick scaling command; "-geometry" eller "-sample". Used in makeText() and imageMagickConvert()
+	var $scalecmd = '-geometry'; // ImageMagick scaling command; "-geometry" eller "-sample". Used in makeText() and imageMagickConvert()
-	var $im5fx_blurSteps='1x2,2x2,3x2,4x3,5x3,5x4,6x4,7x5,8x5,9x5';			// Used by v5_blur() to simulate 10 continuous steps of blurring
+	var $im5fx_blurSteps = '1x2,2x2,3x2,4x3,5x3,5x4,6x4,7x5,8x5,9x5'; // Used by v5_blur() to simulate 10 continuous steps of blurring
-	var $im5fx_sharpenSteps='1x2,2x2,3x2,2x3,3x3,4x3,3x4,4x4,4x5,5x5';		// Used by v5_sharpen() to simulate 10 continuous steps of sharpening.
+	var $im5fx_sharpenSteps = '1x2,2x2,3x2,2x3,3x3,4x3,3x4,4x4,4x5,5x5'; // Used by v5_sharpen() to simulate 10 continuous steps of sharpening.
-	var $pixelLimitGif = 10000;							// This is the limit for the number of pixels in an image before it will be rendered as JPG instead of GIF/PNG
+	var $pixelLimitGif = 10000; // This is the limit for the number of pixels in an image before it will be rendered as JPG instead of GIF/PNG
-	var $colMap = Array (								// Array mapping HTML color names to RGB values.
-		'aqua' => Array(0,255,255),
-		'black' => Array(0,0,0),
-		'blue' => Array(0,0,255),
-		'fuchsia' => Array(255,0,255),
-		'gray' => Array(128,128,128),
-		'green' => Array(0,128,0),
-		'lime' => Array(0,255,0),
-		'maroon' => Array(128,0,0),
-		'navy' => Array(0,0,128),
-		'olive' => Array(128,128,0),
-		'purple' => Array(128,0,128),
-		'red' => Array(255,0,0),
-		'silver' => Array(192,192,192),
-		'teal' => Array(0,128,128),
-		'yellow' => Array(255,255,0),
-		'white' => Array(255,255,255)
+	var $colMap = array( // Array mapping HTML color names to RGB values.
+		'aqua' => array(0, 255, 255),
+		'black' => array(0, 0, 0),
+		'blue' => array(0, 0, 255),
+		'fuchsia' => array(255, 0, 255),
+		'gray' => array(128, 128, 128),
+		'green' => array(0, 128, 0),
+		'lime' => array(0, 255, 0),
+		'maroon' => array(128, 0, 0),
+		'navy' => array(0, 0, 128),
+		'olive' => array(128, 128, 0),
+		'purple' => array(128, 0, 128),
+		'red' => array(255, 0, 0),
+		'silver' => array(192, 192, 192),
+		'teal' => array(0, 128, 128),
+		'yellow' => array(255, 255, 0),
+		'white' => array(255, 255, 255)
 	);
 
 	/**
@@ -228,34 +214,31 @@
 	 * @var t3lib_cs
 	 */
 	var $csConvObj;
-	var $nativeCharset='';		// Is set to the native character set of the input strings.
+	var $nativeCharset = ''; // Is set to the native character set of the input strings.
 
 
-
-
-
 	/**
 	 * Init function. Must always call this when using the class.
 	 * This function will read the configuration information from $GLOBALS['TYPO3_CONF_VARS']['GFX'] can set some values in internal variables.
 	 *
 	 * @return	void
 	 */
-	function init()	{
+	function init() {
 		$gfxConf = $GLOBALS['TYPO3_CONF_VARS']['GFX'];
 
-		if (function_exists('imagecreatefromjpeg')&&function_exists('imagejpeg'))	{
+		if (function_exists('imagecreatefromjpeg') && function_exists('imagejpeg')) {
 			$this->gdlibExtensions .= ',jpg,jpeg';
 		}
-		if (function_exists('imagecreatefrompng')&&function_exists('imagepng'))	{
+		if (function_exists('imagecreatefrompng') && function_exists('imagepng')) {
 			$this->gdlibExtensions .= ',png';
 		}
-		if (function_exists('imagecreatefromgif')&&function_exists('imagegif'))	{
+		if (function_exists('imagecreatefromgif') && function_exists('imagegif')) {
 			$this->gdlibExtensions .= ',gif';
 		}
-		if ($GLOBALS['TYPO3_CONF_VARS']['GFX']['png_truecolor'])	{
+		if ($GLOBALS['TYPO3_CONF_VARS']['GFX']['png_truecolor']) {
 			$this->png_truecolor = true;
 		}
-		if (!$gfxConf['im_version_5'])	{
+		if (!$gfxConf['im_version_5']) {
 			t3lib_div::deprecationLog('The option $TYPO3_CONF_VARS[\'GFX\'][\'im_version_5\'] is not set, ImageMagic 4 is assumed. This is deprecated since TYPO3 4.5, support will be removed in TYPO3 4.6. Make sure to upgrade to ImageMagick version 6 or GraphichsMagick.');
 			$this->im_version_4 = true;
 		} elseif ($gfxConf['im_version_5'] === 'im5') {
@@ -270,17 +253,21 @@
 
 			// Setting default JPG parameters:
 		$this->jpegQuality = t3lib_div::intInRange($gfxConf['jpg_quality'], 10, 100, 75);
-		$this->cmds['jpg'] = $this->cmds['jpeg'] = '-colorspace RGB -sharpen 50 -quality '.$this->jpegQuality;
+		$this->cmds['jpg'] = $this->cmds['jpeg'] = '-colorspace RGB -sharpen 50 -quality ' . $this->jpegQuality;
 
-		if ($gfxConf['im_combine_filename'])	$this->combineScript=$gfxConf['im_combine_filename'];
-		if ($gfxConf['im_noFramePrepended'])	$this->noFramePrepended=1;
+		if ($gfxConf['im_combine_filename']) {
+			$this->combineScript = $gfxConf['im_combine_filename'];
+		}
+		if ($gfxConf['im_noFramePrepended']) {
+			$this->noFramePrepended = 1;
+		}
 
 			// kept for backwards compatibility, can be turned on manually through localconf.php,
 			// but not through the installer anymore
 		$this->imagecopyresized_fix = ($gfxConf['gdlib_2'] === 'no_imagecopyresized_fix' ? 0 : 1);
 
-		if ($gfxConf['gdlib_png'])	{
+		if ($gfxConf['gdlib_png']) {
-			$this->gifExtension='png';
+			$this->gifExtension = 'png';
 		}
 		if ($gfxConf['TTFLocaleConv']) {
 			$this->TTFLocaleConv = $gfxConf['TTFLocaleConv'];
@@ -292,64 +279,50 @@
 		$this->imageFileExt = $gfxConf['imagefile_ext'];
 
 			// This should be set if ImageMagick ver. 5+ is used.
-		if ($gfxConf['im_negate_mask'])	{
+		if ($gfxConf['im_negate_mask']) {
 				// Boolean. Indicates if the mask images should be inverted first.
 				// This depends of the ImageMagick version. Below ver. 5.1 this should be false.
 				// Above ImageMagick version 5.2+ it should be true.
 				// Just set the flag if the masks works opposite the intension!
 			$this->maskNegate = ' -negate';
 		}
-		if ($gfxConf['im_no_effects'])	{
+		if ($gfxConf['im_no_effects']) {
 				// Boolean. This is necessary if using ImageMagick 5+.
 				// Effects in Imagemagick 5+ tends to render very slowly!!
 				// - therefore must be disabled in order not to perform sharpen, blurring and such.
 			$this->NO_IM_EFFECTS = 1;
 
-			$this->cmds['jpg'] = $this->cmds['jpeg'] = '-colorspace RGB -quality '.$this->jpegQuality;
+			$this->cmds['jpg'] = $this->cmds['jpeg'] = '-colorspace RGB -quality ' . $this->jpegQuality;
 		}
 			// ... but if 'im_v5effects' is set, don't care about 'im_no_effects'
-		if ($gfxConf['im_v5effects'])	{
+		if ($gfxConf['im_v5effects']) {
 			$this->NO_IM_EFFECTS = 0;
 			$this->V5_EFFECTS = 1;
 
-			if ($gfxConf['im_v5effects']>0)	{
+			if ($gfxConf['im_v5effects'] > 0) {
-				$this->cmds['jpg'] = $this->cmds['jpeg'] = '-colorspace RGB -quality '.intval($gfxConf['jpg_quality']).$this->v5_sharpen(10);
+				$this->cmds['jpg'] = $this->cmds['jpeg'] = '-colorspace RGB -quality ' . intval($gfxConf['jpg_quality']) . $this->v5_sharpen(10);
 			}
 		}
 
-		if (!$gfxConf['im'])	{
+		if (!$gfxConf['im']) {
 			$this->NO_IMAGE_MAGICK = 1;
 		}
 			// Secures that images are not scaled up.
 		if ($gfxConf['im_noScaleUp']) {
-			$this->mayScaleUp=0;
+			$this->mayScaleUp = 0;
 		}
 
-		if (TYPO3_MODE=='FE')	{
+		if (TYPO3_MODE == 'FE') {
 			$this->csConvObj = $GLOBALS['TSFE']->csConvObj;
-		} elseif(is_object($GLOBALS['LANG']))	{	// BE assumed:
+		} elseif (is_object($GLOBALS['LANG'])) { // BE assumed:
 			$this->csConvObj = $GLOBALS['LANG']->csConvObj;
-		} else	{	// The object may not exist yet, so we need to create it now. Happens in the Install Tool for example.
+		} else { // The object may not exist yet, so we need to create it now. Happens in the Install Tool for example.
 			$this->csConvObj = t3lib_div::makeInstance('t3lib_cs');
 		}
 		$this->nativeCharset = $GLOBALS['TYPO3_CONF_VARS']['BE']['forceCharset'];
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/*************************************************
 	 *
 	 * Layering images / "IMAGE" GIFBUILDER object
@@ -367,59 +340,59 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make()
 	 */
-	function maskImageOntoImage(&$im,$conf,$workArea)	{
+	function maskImageOntoImage(&$im, $conf, $workArea) {
-		if ($conf['file'] && $conf['mask'])	{
+		if ($conf['file'] && $conf['mask']) {
 			$imgInf = pathinfo($conf['file']);
 			$imgExt = strtolower($imgInf['extension']);
-			if (!t3lib_div::inList($this->gdlibExtensions, $imgExt))	{
+			if (!t3lib_div::inList($this->gdlibExtensions, $imgExt)) {
-				$BBimage = $this->imageMagickConvert($conf['file'],$this->gifExtension,'','','','','');
+				$BBimage = $this->imageMagickConvert($conf['file'], $this->gifExtension, '', '', '', '', '');
-			} else	{
+			} else {
 				$BBimage = $this->getImageDimensions($conf['file']);
 			}
 			$maskInf = pathinfo($conf['mask']);
 			$maskExt = strtolower($maskInf['extension']);
-			if (!t3lib_div::inList($this->gdlibExtensions, $maskExt))	{
+			if (!t3lib_div::inList($this->gdlibExtensions, $maskExt)) {
-				$BBmask = $this->imageMagickConvert($conf['mask'],$this->gifExtension,'','','','','');
+				$BBmask = $this->imageMagickConvert($conf['mask'], $this->gifExtension, '', '', '', '', '');
-			} else	{
+			} else {
 				$BBmask = $this->getImageDimensions($conf['mask']);
 			}
-			if ($BBimage && $BBmask)	{
+			if ($BBimage && $BBmask) {
 				$w = imagesx($im);
 				$h = imagesy($im);
 				$tmpStr = $this->randomName();
-				$theImage = $tmpStr.'_img.'.$this->gifExtension;
+				$theImage = $tmpStr . '_img.' . $this->gifExtension;
-				$theDest = $tmpStr.'_dest.'.$this->gifExtension;
+				$theDest = $tmpStr . '_dest.' . $this->gifExtension;
-				$theMask = $tmpStr.'_mask.'.$this->gifExtension;
+				$theMask = $tmpStr . '_mask.' . $this->gifExtension;
-						// prepare overlay image
+					// prepare overlay image
 				$cpImg = $this->imageCreateFromFile($BBimage[3]);
 				$destImg = imagecreatetruecolor($w, $h);
-				$Bcolor = ImageColorAllocate($destImg, 0,0,0);
+				$Bcolor = ImageColorAllocate($destImg, 0, 0, 0);
 				ImageFilledRectangle($destImg, 0, 0, $w, $h, $Bcolor);
-				$this->copyGifOntoGif($destImg,$cpImg,$conf,$workArea);
+				$this->copyGifOntoGif($destImg, $cpImg, $conf, $workArea);
 				$this->ImageWrite($destImg, $theImage);
 				imageDestroy($cpImg);
 				imageDestroy($destImg);
-						// prepare mask image
+					// prepare mask image
 				$cpImg = $this->imageCreateFromFile($BBmask[3]);
 				$destImg = imagecreatetruecolor($w, $h);
 				$Bcolor = ImageColorAllocate($destImg, 0, 0, 0);
 				ImageFilledRectangle($destImg, 0, 0, $w, $h, $Bcolor);
-				$this->copyGifOntoGif($destImg,$cpImg,$conf,$workArea);
+				$this->copyGifOntoGif($destImg, $cpImg, $conf, $workArea);
 				$this->ImageWrite($destImg, $theMask);
 				imageDestroy($cpImg);
 				imageDestroy($destImg);
 					// mask the images
 				$this->ImageWrite($im, $theDest);
 
-				$this->combineExec($theDest,$theImage,$theMask,$theDest, true);		// Let combineExec handle maskNegation
+				$this->combineExec($theDest, $theImage, $theMask, $theDest, TRUE); // Let combineExec handle maskNegation
 
-				$backIm = $this->imageCreateFromFile($theDest);	// The main image is loaded again...
+				$backIm = $this->imageCreateFromFile($theDest); // The main image is loaded again...
-				if ($backIm)	{	// ... and if nothing went wrong we load it onto the old one.
+				if ($backIm) { // ... and if nothing went wrong we load it onto the old one.
-					ImageColorTransparent($backIm,-1);
+					ImageColorTransparent($backIm, -1);
 					$im = $backIm;
 				}
 					// unlink files from process
-				if (!$this->dontUnlinkTempFiles)	{
+				if (!$this->dontUnlinkTempFiles) {
 					unlink($theDest);
 					unlink($theImage);
 					unlink($theMask);
@@ -437,14 +410,14 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make(), maskImageOntoImage()
 	 */
-	function copyImageOntoImage(&$im,$conf,$workArea)	{
+	function copyImageOntoImage(&$im, $conf, $workArea) {
-		if ($conf['file'])	{
+		if ($conf['file']) {
-			if (!t3lib_div::inList($this->gdlibExtensions, $conf['BBOX'][2]))	{
+			if (!t3lib_div::inList($this->gdlibExtensions, $conf['BBOX'][2])) {
-				$conf['BBOX']=$this->imageMagickConvert($conf['BBOX'][3],$this->gifExtension,'','','','','');
+				$conf['BBOX'] = $this->imageMagickConvert($conf['BBOX'][3], $this->gifExtension, '', '', '', '', '');
-				$conf['file']=$conf['BBOX'][3];
+				$conf['file'] = $conf['BBOX'][3];
 			}
 			$cpImg = $this->imageCreateFromFile($conf['file']);
-			$this->copyGifOntoGif($im,$cpImg,$conf,$workArea);
+			$this->copyGifOntoGif($im, $cpImg, $conf, $workArea);
 			imageDestroy($cpImg);
 		}
 	}
